package ru.upworld.chat;

import java.util.regex.Pattern;

public class ChatUtil {

    private static final Pattern chatColorPattern = Pattern.compile("(?i)&([0-9A-F])");
    private static final Pattern chatMagicPattern = Pattern.compile("(?i)&([K])");
    private static final Pattern chatBoldPattern = Pattern.compile("(?i)&([L])");
    private static final Pattern chatStrikethroughPattern = Pattern.compile("(?i)&([M])");
    private static final Pattern chatUnderlinePattern = Pattern.compile("(?i)&([N])");
    private static final Pattern chatItalicPattern = Pattern.compile("(?i)&([O])");
    private static final Pattern chatResetPattern = Pattern.compile("(?i)&([R])");

    public static String translateColorCodes(String string) {
        if (string == null) {
            return "";
        }
        String newstring = string;
        newstring = chatColorPattern.matcher(newstring).replaceAll("§$1");
        newstring = chatMagicPattern.matcher(newstring).replaceAll("§$1");
        newstring = chatBoldPattern.matcher(newstring).replaceAll("§$1");
        newstring = chatStrikethroughPattern.matcher(newstring).replaceAll("§$1");
        newstring = chatUnderlinePattern.matcher(newstring).replaceAll("§$1");
        newstring = chatItalicPattern.matcher(newstring).replaceAll("§$1");
        newstring = chatResetPattern.matcher(newstring).replaceAll("§$1");
        return newstring;
    }
}
